NUT-SCANNER(8)

NAME
nut-scanner - scan communication buses for NUT devices

SYNOPSIS

nut-scanner -h

nut-scanner [OPTIONS]

DESCRIPTION

nut-scanner scans available communication buses and displays any NUT-compatible devices it has found.

INSTALLATION

nut-scanner is always built by default. However, available options (USB, SNMP, IPMI, ...) will vary according to the available compile time and runtime dependencies. For example, if Net-SNMP is installed, thus providing libsnmp (.so or .dll) and headers, both during compilation and runtime, then SNMP discovery will be available.

OPTIONS

-h
    Display the help text.

DISPLAY OPTIONS

-N | --disp_nut_conf
    Display result in the ups.conf format.

-P | --disp_parsable
    Display result in a parsable format.

BUS OPTIONS

-C | --complete_scan
    Scan all available communication buses (default behavior)

-U | --usb_scan
    List all NUT-compatible USB devices currently plugged in.

-S | --snmp_scan
    Scan SNMP devices. Requires at least a start IP, and optionally, an end IP. See specific SNMP OPTIONS for community and security settings.

-M | --xml_scan
    Scan XML/HTTP devices. Broadcast a network message on the current network interfaces to retrieve XML/HTTP capable devices. No IP required.

-O | --oldnut_scan
    Scan NUT devices (i.e. upsd daemon) on IP ranging from start IP to end IP.

-A | --avahi_scan
    Scan NUT servers using Avahi request on the current network interfaces. No IP required.

-I | --ipmi_scan
    Scan NUT compatible devices available via IPMI on the current host.

NETWORK OPTIONS

-t | --timeout timeout
    Set the network timeout in seconds. Default timeout is 5 seconds.

-s | --start_ip start IP
    Set the first IP (IPv4 or IPv6) when a range of IP is required (SNMP, old_nut).

-e | --end_ip end IP
    Set the last IP (IPv4 or IPv6) when a range of IP is required (SNMP, old_nut). If this parameter is omitted, only the start IP is scanned. If end IP is less than start IP, both parameters are internally permuted.

-m | --mask_cidr IP address/mask
    Set a range of IP using CIDR notation.

NUT DEVICE OPTION

-p | --port port number
    Set the port number of scanned NUT devices (default 3493).

SNMP V1 OPTION

-c | --community community
    Set SNMP v1 community name (default = public).

SNMP V3 OPTIONS

-l | --secLevel security level
    Set the security level used for SNMPv3 messages. Allowed values are: noAuthNoPriv, authNoPriv and authPriv.

-u | --secName security name
    Set the security name used for authenticated SNMPv3 messages. This parameter is mandatory if you set security level.

-w | --authProtocol authentication protocol
    Set the authentication protocol used for authenticated SNMPv3 messages. Allowed values are MD5 or SHA. Default value is MD5.

-W | --authPassword authentication pass phrase
    Set the authentication pass phrase used for authenticated SNMPv3 messages. This parameter is mandatory if you set security level to authNoPriv or authPriv.

-x | --privProtocol privacy protocol
    Set the privacy protocol used for encrypted SNMPv3 messages. Allowed values are DES or AES. Default value is DES.

-X | --privPassword privacy pass phrase
    Set the privacy pass phrase used for encrypted SNMPv3 messages. This parameter is mandatory if you set security level to authPriv.

MISCELLANEOUS OPTIONS

-V | --version
    Display NUT version.

-a | --available
    Display available bus that can be scanned , depending on how the binary has been compiled. (OLDNUT, USB, SNMP, XML, AVAHI, IPMI).

-q | --quiet
    Display only scan result. No information on currently scanned bus is displayed.

EXAMPLES

To scan USB devices only:

nut-scanner -U

To scan SNMP v1 device with public community on address range 192.168.0.0 to 192.168.0.255:

nut-scanner -S -s 192.168.0.0 -e 192.168.0.255

The same using CIDR notation:

nut-scanner -S -m 192.168.0.0/24

To scan NUT servers with a timeout of 10 seconds on IP range 192.168.0.0 to 192.168.0.128 using CIDR notation:

nut-scanner -O -t 10 -m 192.168.0.0/25

SEE ALSO

ups.conf(5)

INTERNET RESOURCES

The NUT (Network UPS Tools) home page: http://www.networkupstools.org/